﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfSchedule_HideContextMenu
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        #region Fields

        SfSchedule schedule = new SfSchedule();

        #endregion
        public MainWindow()
        {
            InitializeComponent();

            schedule.Appointments.Add(new ScheduleAppointment() { StartTime = DateTime.Now.Date.AddHours(3), EndTime = DateTime.Now.Date.AddHours(5), Subject = "Srum" });
            schedule.ScheduleType = ScheduleType.Month;

            schedule.ContextMenuOpening += Schedule_ContextMenuOpening;

            grid.Children.Add(schedule);
        }

        #region Events
        private void Schedule_ContextMenuOpening(object sender, ContextMenuOpeningEventArgs e)
        {
            e.Cancel = true;
        }
        #endregion
    }
}
